%define major		2
%define girmajor	2.0
%define libname		%mklibname mate-menu %{major}
%define girname		%mklibname matemenu-gir %{girmajor}
%define develname	%mklibname -d mate-menu

Summary:	MATE menu library
Name:		mate-menus
Version:	1.19.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.9/%{name}-%{version}.tar.xz
Source1:	mate-applications.menu
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}python-devel

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the MATE menu layout configuration files,
.directory files and assorted menu related utility programs.


%package devel
Group:		Development/Libraries
Summary:	MATE menu library development files
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package contains the development libraries of %{name}.

%package -n python-%{name}
Group:		Development/Python
Summary:	Module to access XDG menu
Requires:	python-gobject

%description -n python-%{name}
Python module to access XDG menu.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-python \
    --with-gtk=3.0

%make

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name *.la | xargs rm

#our default menu for pclinuxos
install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/menus/mate-applications.menu

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS ChangeLog
%{_sysconfdir}/xdg/menus/mate-applications.menu
%{_sysconfdir}/xdg/menus/mate-settings.menu
%dir %{_datadir}/mate
%dir %{_datadir}/mate/desktop-directories
%{_datadir}/mate/desktop-directories/*
%{_datadir}/%{name}
%{_libdir}/libmate-menu.so.%{major}*
%{_libdir}/girepository-1.0/MateMenu-%{girmajor}.typelib
%{_sysconfdir}/xdg/menus/mate-preferences-categories.menu

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MateMenu-%{girmajor}.gir

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitearch}/matemenu.so

%clean
rm -rf %buildroot


%changelog
* Fri Oct 13 2017 threepio <threepio@web.de> 1.19.0-1uplos2017
- new version

* Fri May 12 2017 adrianomorselli <adrianomorselli> 1.18.0-1uplos2017
- update
